#### D.5.17.1 makeVariety

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  makeVariety(d,i); d int, i ideal

Assume:
  d is a nonnegative integer, i is an ideal

Return:
  variety

Theory:
  create an abstract variety which has dimension d, and its Chow ring should be a quotient ring

Example:

    LIB "schubert.lib";
    ring r = 0,(h,e),wp(1,1);
    ideal rels = he,h2+e2;
    variety V = makeVariety(2,rels);
    V;
    ==> A variety of dimension 2
    ==>
    V.dimension;
    ==> 2
    V.relations;
    ==> _[1]=he
    ==> _[2]=h2+e2

User manual for Singular version 4.4.1, 2025, generated by texi2html.